diff --git a/base/common/src/com/netscape/cms/ocsp/LDAPStore.java b/base/common/src/com/netscape/cms/ocsp/LDAPStore.java
index c9f97c5416485c2377d87b85f8d7d4596ba9db84..e2e5fc4937d626d70a15946bb6a839c43440ce29 100644
--- a/base/common/src/com/netscape/cms/ocsp/LDAPStore.java
+++ b/base/common/src/com/netscape/cms/ocsp/LDAPStore.java
@@ -83,7 +83,6 @@ public class LDAPStore implements IDefStore, IExtendedPluginInfo {
     private static final int DEF_REFRESH_IN_SEC = 60 * 60 * 24;
     private static final String PROP_BASE_DN = "baseDN";
     private static final String PROP_BY_NAME = "byName";
-    private static final String PROP_CONN_INFO = "connInfo";
     private static final String PROP_CRL_ATTR = "crlAttr";
     private static final String DEF_CRL_ATTR = "certificateRevocationList;binary";
     private static final String PROP_CA_CERT_ATTR = "caCertAttr";
diff --git a/base/common/src/com/netscape/cms/policy/constraints/AttributePresentConstraints.java b/base/common/src/com/netscape/cms/policy/constraints/AttributePresentConstraints.java
index 06f94d599e23b241441b19577566b3ac1f04f680..e12b8220fa35ec5d341535d21f8eeab9fc520a9b 100644
--- a/base/common/src/com/netscape/cms/policy/constraints/AttributePresentConstraints.java
+++ b/base/common/src/com/netscape/cms/policy/constraints/AttributePresentConstraints.java
@@ -30,7 +30,6 @@ import netscape.ldap.LDAPSearchResults;
 import netscape.ldap.LDAPv2;
 
 import com.netscape.certsrv.apps.CMS;
-import com.netscape.certsrv.authority.ICertAuthority;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
@@ -40,7 +39,6 @@ import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.certsrv.request.RequestId;
 import com.netscape.cms.policy.APolicyRule;
 
 /**
@@ -63,13 +61,10 @@ public class AttributePresentConstraints extends APolicyRule
     protected String mName = null;
     protected String mImplName = null;
 
-    private boolean mEnabled = false;
     private ILogger mLogger = CMS.getLogger();
 
-    private ICertAuthority mSub = null;
     private IConfigStore mConfig = null;
     private IConfigStore mLdapConfig = null;
-    private RequestId mReqId = null;
     private ILdapConnFactory mConnFactory = null;
     private LDAPConnection mCheckAttrLdapConnection = null;
 
@@ -271,8 +266,6 @@ public class AttributePresentConstraints extends APolicyRule
     public PolicyResult apply(IRequest r) {
         PolicyResult res = PolicyResult.ACCEPTED;
 
-        mReqId = r.getRequestId();
-
         String requestType = r.getRequestType();
 
         if (requestType.equals(IRequest.ENROLLMENT_REQUEST) ||
diff --git a/base/common/src/com/netscape/cms/policy/extensions/PresenceExt.java b/base/common/src/com/netscape/cms/policy/extensions/PresenceExt.java
index b586c8bdf4819cc6a0609d42369450db3b4daedb..7f44c8eb039c254cb75ac8efdb705a53ff9b6eae 100644
--- a/base/common/src/com/netscape/cms/policy/extensions/PresenceExt.java
+++ b/base/common/src/com/netscape/cms/policy/extensions/PresenceExt.java
@@ -42,7 +42,8 @@ import com.netscape.cms.policy.APolicyRule;
  */
 public class PresenceExt extends APolicyRule {
     private static Vector<String> mDefParams = new Vector<String>();
-    private IConfigStore mConfig = null;
+    @SuppressWarnings("unused")
+    private IConfigStore mConfig;
     private String mOID = null;
     private boolean mCritical;
     private int mVersion = 0;
diff --git a/base/common/src/com/netscape/cms/profile/constraint/ValidityConstraint.java b/base/common/src/com/netscape/cms/profile/constraint/ValidityConstraint.java
index b7588aa4d7acaf40c102f0ae3e18d08599fe52b7..eaec5e50f13cbbd6fd6bb08ffa0ffdeebb61d1ce 100644
--- a/base/common/src/com/netscape/cms/profile/constraint/ValidityConstraint.java
+++ b/base/common/src/com/netscape/cms/profile/constraint/ValidityConstraint.java
@@ -54,9 +54,6 @@ public class ValidityConstraint extends EnrollConstraint {
     public static final String CONFIG_CHECK_NOT_AFTER = "notAfterCheck";
     public final static long SECS_IN_MS = 1000L;
 
-    private Date mDefNotBefore = null;
-    private Date mDefNotAfter = null;
-
     public ValidityConstraint() {
         super();
         addConfigName(CONFIG_RANGE);
diff --git a/base/common/src/com/netscape/cms/profile/def/InhibitAnyPolicyExtDefault.java b/base/common/src/com/netscape/cms/profile/def/InhibitAnyPolicyExtDefault.java
index cba06023f6da3eae765c264e1ec4177c919d0efe..2c176593a947ad24f83fae1de90195a092939080 100644
--- a/base/common/src/com/netscape/cms/profile/def/InhibitAnyPolicyExtDefault.java
+++ b/base/common/src/com/netscape/cms/profile/def/InhibitAnyPolicyExtDefault.java
@@ -47,7 +47,6 @@ public class InhibitAnyPolicyExtDefault extends EnrollExtDefault {
     public static final String VAL_SKIP_CERTS = "skipCerts";
 
     private static final String SKIP_CERTS = "Skip Certs";
-    private static final String GN_PATTERN = "Pattern";
 
     public InhibitAnyPolicyExtDefault() {
         super();
diff --git a/base/common/src/com/netscape/cms/profile/updater/SubsystemGroupUpdater.java b/base/common/src/com/netscape/cms/profile/updater/SubsystemGroupUpdater.java
index cfe35df39b4dcac796926554503bcb5a385d3b57..b703f5b47fa4b535af05cd371ec4255bed84ba41 100644
--- a/base/common/src/com/netscape/cms/profile/updater/SubsystemGroupUpdater.java
+++ b/base/common/src/com/netscape/cms/profile/updater/SubsystemGroupUpdater.java
@@ -40,7 +40,6 @@ import com.netscape.certsrv.request.RequestStatus;
 import com.netscape.certsrv.usrgrp.IGroup;
 import com.netscape.certsrv.usrgrp.IUGSubsystem;
 import com.netscape.certsrv.usrgrp.IUser;
-import com.netscape.cms.profile.common.EnrollProfile;
 
 /**
  * This updater class will create the new user to the subsystem group and
@@ -50,19 +49,14 @@ import com.netscape.cms.profile.common.EnrollProfile;
  */
 public class SubsystemGroupUpdater implements IProfileUpdater {
 
-    private IProfile mProfile = null;
-    private EnrollProfile mEnrollProfile = null;
+    @SuppressWarnings("unused")
+    private IProfile mProfile;
     private IConfigStore mConfig = null;
     private ILogger mSignedAuditLogger = CMS.getSignedAuditLogger();
     private Vector<String> mConfigNames = new Vector<String>();
-    private Vector<String> mValueNames = new Vector<String>();
 
     private final static String LOGGING_SIGNED_AUDIT_CONFIG_ROLE =
             "LOGGING_SIGNED_AUDIT_CONFIG_ROLE_3";
-    private final static String SIGNED_AUDIT_PASSWORD_VALUE = "********";
-    private final static String SIGNED_AUDIT_EMPTY_NAME_VALUE_PAIR = "Unknown";
-    private final static String SIGNED_AUDIT_NAME_VALUE_DELIMITER = ";;";
-    private final static String SIGNED_AUDIT_NAME_VALUE_PAIRS_DELIMITER = "+";
 
     public SubsystemGroupUpdater() {
     }
@@ -71,7 +65,6 @@ public class SubsystemGroupUpdater implements IProfileUpdater {
             throws EProfileException {
         mConfig = config;
         mProfile = profile;
-        mEnrollProfile = (EnrollProfile) profile;
     }
 
     public Enumeration<String> getConfigNames() {
diff --git a/base/common/src/com/netscape/cms/publish/mappers/AVAPattern.java b/base/common/src/com/netscape/cms/publish/mappers/AVAPattern.java
index 0dff1da6b0901e5a737a729de936d5907bef7f06..e612c339a5335ea3af81dc6a2f54a2a82c08bc43 100644
--- a/base/common/src/com/netscape/cms/publish/mappers/AVAPattern.java
+++ b/base/common/src/com/netscape/cms/publish/mappers/AVAPattern.java
@@ -38,7 +38,6 @@ import netscape.security.x509.Extension;
 import netscape.security.x509.GeneralName;
 import netscape.security.x509.GeneralNameInterface;
 import netscape.security.x509.GeneralNames;
-import netscape.security.x509.LdapV3DNStrConverter;
 import netscape.security.x509.OIDMap;
 import netscape.security.x509.SubjectAlternativeNameExtension;
 import netscape.security.x509.X500Name;
@@ -103,11 +102,6 @@ class AVAPattern {
             "IPAddress",
             "OIDName" };
 
-    private static final char[] endChars = new char[] { '+', ',' };
-
-    private static final LdapV3DNStrConverter mLdapDNStrConverter =
-            new LdapV3DNStrConverter();
-
     /* the list of request attributes needed by this AVA  */
     protected String[] mReqAttrs = null;
 
diff --git a/base/common/src/com/netscape/cms/publish/mappers/MapAVAPattern.java b/base/common/src/com/netscape/cms/publish/mappers/MapAVAPattern.java
index cd298bc3bd8e67ee06173fbc97b00439c4248d4e..ea69cc5a12b6a43645aea33d1c1fe5985d0cf349 100644
--- a/base/common/src/com/netscape/cms/publish/mappers/MapAVAPattern.java
+++ b/base/common/src/com/netscape/cms/publish/mappers/MapAVAPattern.java
@@ -121,7 +121,6 @@ class MapAVAPattern {
             "URIName",
             "IPAddress",
             "OIDName" };
-    private static final char[] endChars = new char[] { '+', ',' };
 
     private static final LdapV3DNStrConverter mLdapDNStrConverter =
             new LdapV3DNStrConverter();
diff --git a/base/common/src/com/netscape/cms/publish/publishers/LdapCaCertPublisher.java b/base/common/src/com/netscape/cms/publish/publishers/LdapCaCertPublisher.java
index cbc77560f2fbcd8a505ed47954ca695338398abc..06050480e913997f1d934a41506776efcb24551f 100644
--- a/base/common/src/com/netscape/cms/publish/publishers/LdapCaCertPublisher.java
+++ b/base/common/src/com/netscape/cms/publish/publishers/LdapCaCertPublisher.java
@@ -61,7 +61,6 @@ public class LdapCaCertPublisher
     private ILogger mLogger = CMS.getLogger();
     private boolean mInited = false;
     protected IConfigStore mConfig = null;
-    private String mcrlIssuingPointId;
 
     /**
      * constructor constructs default values.
diff --git a/base/common/src/com/netscape/cms/publish/publishers/LdapEncryptCertPublisher.java b/base/common/src/com/netscape/cms/publish/publishers/LdapEncryptCertPublisher.java
index 68b1205ada77259d8076fb9a42ff3aebdadca1b7..41a15f93a6be6b9f45fc1e9db7d2a175c9f056ea 100644
--- a/base/common/src/com/netscape/cms/publish/publishers/LdapEncryptCertPublisher.java
+++ b/base/common/src/com/netscape/cms/publish/publishers/LdapEncryptCertPublisher.java
@@ -63,7 +63,6 @@ public class LdapEncryptCertPublisher implements ILdapPublisher, IExtendedPlugin
     private ILogger mLogger = CMS.getLogger();
     private IConfigStore mConfig = null;
     private boolean mInited = false;
-    private boolean mRevokeCert;
 
     public LdapEncryptCertPublisher() {
     }
@@ -113,7 +112,6 @@ public class LdapEncryptCertPublisher implements ILdapPublisher, IExtendedPlugin
             return;
         mConfig = config;
         mCertAttr = mConfig.getString("certAttr", LDAP_USERCERT_ATTR);
-        mRevokeCert = mConfig.getBoolean(PROP_REVOKE_CERT, true);
         mInited = true;
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/admin/ACLAdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/ACLAdminServlet.java
index 22c979f2866af5060320978b7d24c70a928a5b89..1244da12c1037efe6336664c80dc2815da8ac2cd 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/ACLAdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/ACLAdminServlet.java
@@ -39,7 +39,6 @@ import com.netscape.certsrv.common.OpDef;
 import com.netscape.certsrv.common.ScopeDef;
 import com.netscape.certsrv.evaluators.IAccessEvaluator;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.usrgrp.IUGSubsystem;
 
 /**
  * Manage Access Control List configuration
@@ -52,8 +51,6 @@ public class ACLAdminServlet extends AdminServlet {
      *
      */
     private static final long serialVersionUID = -322237202045924779L;
-    private IUGSubsystem mUG = null;
-    private static final String PROP_ACLS = "acls";
     private static final String PROP_EVAL = "accessEvaluator";
     private final static String INFO = "ACLAdminServlet";
     private IAuthzManager mAuthzMgr = null;
@@ -62,14 +59,6 @@ public class ACLAdminServlet extends AdminServlet {
             "LOGGING_SIGNED_AUDIT_CONFIG_ACL_3";
 
     /**
-     * Constructs servlet.
-     */
-    public ACLAdminServlet() {
-        super();
-        mUG = (IUGSubsystem) CMS.getSubsystem(CMS.SUBSYSTEM_UG);
-    }
-
-    /**
      * initialize the servlet.
      * <ul>
      * <li>http.param OP_TYPE = OP_SEARCH,
diff --git a/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java
index ee1b53ed5adf46ff0a0782d5cd285e0a838c5149..abb6048eb03de7e2b06f77593e96ef1fb19f2e50 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java
@@ -92,7 +92,6 @@ public class AdminServlet extends HttpServlet {
     private static final long serialVersionUID = 7740464244137421542L;
     private final static String HDR_AUTHORIZATION = "Authorization";
     private final static String HDR_LANG = "accept-language";
-    private final static String HDR_CONTENT_LEN = "Content-Length";
 
     protected ILogger mLogger = CMS.getLogger();
     protected ILogger mSignedAuditLogger = CMS.getSignedAuditLogger();
diff --git a/base/common/src/com/netscape/cms/servlet/admin/AuthAdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/AuthAdminServlet.java
index 24e701d7a2932f58259015eadfe105e5ff1cfa42..71cf8a2ac6d38aecc249a218d4f7d2c9a2c888ea 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/AuthAdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/AuthAdminServlet.java
@@ -64,7 +64,6 @@ public class AuthAdminServlet extends AdminServlet {
 
     private final static String PW_PASSWORD_CACHE_ADD =
             "PASSWORD_CACHE_ADD";
-    private final static String VIEW = ";" + Constants.VIEW;
     private final static String EDIT = ";" + Constants.EDIT;
 
     private final static String LOGGING_SIGNED_AUDIT_CONFIG_AUTH =
diff --git a/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
index a47c7ae0d2400c67f5a399f74ef08dd9af0f72ac..f0aeb22959f06cb3a1ea6d403e6ec306425fd4ca 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
@@ -100,8 +100,6 @@ public final class CMSAdminServlet extends AdminServlet {
 
     private final static String PROP_DB = "dbs";
     private final static String PROP_SMTP = "smtp";
-    private final static String PROP_RADM = "radm";
-    private final static String PROP_GATEWAY = "cmsgateway";
     private final static String PROP_INTERNAL_DB = "internaldb";
 
     private ILogger mSignedAuditLogger = CMS.getSignedAuditLogger();
diff --git a/base/common/src/com/netscape/cms/servlet/admin/JobsAdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/JobsAdminServlet.java
index 47eeebe9264ba5161c40fc81a38fc473f537a5f2..314a4072fb4fa4846119d0fbba601912d5faa2db 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/JobsAdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/JobsAdminServlet.java
@@ -53,7 +53,6 @@ public class JobsAdminServlet extends AdminServlet {
      */
     private static final long serialVersionUID = 561767449283982015L;
     // ... remove later
-    private final static String EDIT = ";edit";
     private final static String VISIBLE = ";visible";
     private final static String ENABLED = ";enabled";
     private final static String DISABLED = ";disabled";
diff --git a/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
index 9600c5e56c296d0304950ec38a91561a42df11dd..a9661eedb80147d45fa6d90e04186f6bf76afa63 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
@@ -63,16 +63,11 @@ public class LogAdminServlet extends AdminServlet {
 
     private ILogSubsystem mSys = null;
 
-    private final static String VIEW = ";" + Constants.VIEW;
-    private final static String EDIT = ";" + Constants.EDIT;
-
     private final static String SIGNED_AUDIT_LOG_TYPE = "SignedAudit";
     private final static String LOGGING_SIGNED_AUDIT_CONFIG_SIGNED_AUDIT =
             "LOGGING_SIGNED_AUDIT_CONFIG_SIGNED_AUDIT_3";
     private final static String LOGGING_SIGNED_AUDIT_LOG_PATH_CHANGE =
             "LOGGING_SIGNED_AUDIT_LOG_PATH_CHANGE_4";
-    private final static String LOGGING_SIGNED_AUDIT_LOG_EXPIRATION_CHANGE =
-            "LOGGING_SIGNED_AUDIT_LOG_EXPIRATION_CHANGE_4";
 
     /**
      * Constructs Log servlet.
diff --git a/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java
index 19677e748ea3949e53d287d1f7050ce1c981a02f..b459d8ad2909b5758d06e97c456ea9e6b77c915e 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java
@@ -28,7 +28,6 @@ import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 
 import com.netscape.certsrv.apps.CMS;
-import com.netscape.certsrv.authority.IAuthority;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.ISubsystem;
@@ -70,11 +69,8 @@ public class ProfileAdminServlet extends AdminServlet {
     public final static String PROP_AUTHORITY = "authority";
 
     private final static String INFO = "ProfileAdminServlet";
-    private final static String PW_PASSWORD_CACHE_ADD =
-            "PASSWORD_CACHE_ADD";
 
     public final static String PROP_PREDICATE = "predicate";
-    private IAuthority mAuthority = null;
     private IPluginRegistry mRegistry = null;
     private IProfileSubsystem mProfileSub = null;
 
@@ -109,10 +105,7 @@ public class ProfileAdminServlet extends AdminServlet {
      */
     public void init(ServletConfig config) throws ServletException {
         super.init(config);
-        String authority = config.getInitParameter(PROP_AUTHORITY);
 
-        if (authority != null)
-            mAuthority = (IAuthority) CMS.getSubsystem(authority);
         mRegistry = (IPluginRegistry) CMS.getSubsystem(CMS.SUBSYSTEM_REGISTRY);
         mProfileSub = (IProfileSubsystem) CMS.getSubsystem(CMS.SUBSYSTEM_PROFILE);
     }
diff --git a/base/common/src/com/netscape/cms/servlet/admin/PublisherAdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/PublisherAdminServlet.java
index adbdc82797e8c953550fd121eacafe36baa639a5..0d1ab7eb5cc2b0301dd855f4b6d8134f1625bbd9 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/PublisherAdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/PublisherAdminServlet.java
@@ -83,15 +83,10 @@ public class PublisherAdminServlet extends AdminServlet {
     public final static String PROP_AUTHORITY = "authority";
 
     private final static String INFO = "PublisherAdminServlet";
-    private final static String PW_TAG_CA_LDAP_PUBLISHING =
-            "CA LDAP Publishing";
     public final static String NOMAPPER = "<NONE>";
     private IPublisherProcessor mProcessor = null;
     private IAuthority mAuth = null;
 
-    private final static String VIEW = ";" + Constants.VIEW;
-    private final static String EDIT = ";" + Constants.EDIT;
-
     public PublisherAdminServlet() {
         super();
     }
diff --git a/base/common/src/com/netscape/cms/servlet/admin/RegistryAdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/RegistryAdminServlet.java
index 487fd9f2e62cd3cf6dac5bb0b2c7dfb1b08297ba..4d47d318f9d87db1d8a8da7fc390bcfa4d5bef23 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/RegistryAdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/RegistryAdminServlet.java
@@ -26,7 +26,6 @@ import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 
 import com.netscape.certsrv.apps.CMS;
-import com.netscape.certsrv.authority.IAuthority;
 import com.netscape.certsrv.common.Constants;
 import com.netscape.certsrv.common.NameValuePairs;
 import com.netscape.certsrv.common.OpDef;
@@ -52,11 +51,8 @@ public class RegistryAdminServlet extends AdminServlet {
     public final static String PROP_AUTHORITY = "authority";
 
     private final static String INFO = "RegistryAdminServlet";
-    private final static String PW_PASSWORD_CACHE_ADD =
-            "PASSWORD_CACHE_ADD";
 
     public final static String PROP_PREDICATE = "predicate";
-    private IAuthority mAuthority = null;
     private IPluginRegistry mRegistry = null;
 
     // These will be moved to PolicyResources
@@ -85,10 +81,6 @@ public class RegistryAdminServlet extends AdminServlet {
      */
     public void init(ServletConfig config) throws ServletException {
         super.init(config);
-        String authority = config.getInitParameter(PROP_AUTHORITY);
-
-        if (authority != null)
-            mAuthority = (IAuthority) CMS.getSubsystem(authority);
         mRegistry = (IPluginRegistry) CMS.getSubsystem(CMS.SUBSYSTEM_REGISTRY);
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java b/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
index 97573d8777308add0601d541d91590929507d693..1c610996f4dd251b0ef557e6ab0de69a7b8e7c35 100644
--- a/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
@@ -129,7 +129,6 @@ public abstract class CMSServlet extends HttpServlet {
     public final static String PROP_ACL = "ACLinfo";
     public final static String AUTHZ_MGR_BASIC = "BasicAclAuthz";
     public final static String AUTHZ_MGR_LDAP = "DirAclAuthz";
-    private final static String FAILED = "1";
     private final static String HDR_LANG = "accept-language";
 
     // final error message - if error and exception templates don't work
diff --git a/base/common/src/com/netscape/cms/servlet/base/DynamicVariablesServlet.java b/base/common/src/com/netscape/cms/servlet/base/DynamicVariablesServlet.java
index ceba2fc72705bc87475b794dfe2da39fad73450b..357c901c39c8e0fa104fd5bfe1fa9ae19d4e3e85 100644
--- a/base/common/src/com/netscape/cms/servlet/base/DynamicVariablesServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/base/DynamicVariablesServlet.java
@@ -71,25 +71,24 @@ public class DynamicVariablesServlet extends CMSServlet {
 
     private static final String VAR_HTTP_STRING = "http()";
     private static final Integer VAR_HTTP = Integer.valueOf(3);
-    private String VAR_HTTP_VALUE = null;
 
     private static final String VAR_AUTHMGRS_STRING = "authmgrs()";
     private static final Integer VAR_AUTHMGRS = Integer.valueOf(4);
-    private String VAR_AUTHMGRS_VALUE = null;
 
     private static final String VAR_CLA_CRL_URL_STRING = "clacrlurl()";
     private static final Integer VAR_CLA_CRL_URL = Integer.valueOf(6);
-    private String VAR_CLA_CRL_URL_VALUE = null;
 
     private String mAuthMgrCacheString = "";
     private long mAuthMgrCacheTime = 0;
     private final int AUTHMGRCACHE = 10; //number of seconds to cache list of
     // authmanagers for
     private Hashtable<Integer, String> dynvars = null;
+    @SuppressWarnings("unused")
     private String mGetClientCert = "false";
     private String mAuthMgr = null;
 
-    private ServletConfig mServletCfg = null;
+    @SuppressWarnings("unused")
+    private ServletConfig mServletCfg;
     private ServletContext mServletCtx = null;
     private static String mCrlurl = "";
     static {
diff --git a/base/common/src/com/netscape/cms/servlet/base/IndexServlet.java b/base/common/src/com/netscape/cms/servlet/base/IndexServlet.java
index b5f94bd19a6601e441aa0744099d5b2c661308f8..bdb02cae3d85369df9524a7944474f2676deee62 100644
--- a/base/common/src/com/netscape/cms/servlet/base/IndexServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/base/IndexServlet.java
@@ -47,14 +47,6 @@ public class IndexServlet extends CMSServlet {
 
     private final static String INFO = "indexServlet";
 
-    // input parameters
-
-    // output parameters
-    private final static String OUT_TYPE = "type";
-    private final static String OUT_ID = "id";
-    private final static String OUT_TOTAL_COUNT = "totalCount";
-    private final static String OUT_ERROR = "errorDetails";
-
     private String mTemplateName = null;
 
     public IndexServlet() {
diff --git a/base/common/src/com/netscape/cms/servlet/base/PortsServlet.java b/base/common/src/com/netscape/cms/servlet/base/PortsServlet.java
index a0587229a6919203de67909c5998ab207be3a870..1e4f0913e5cfc0be477d8f9d14c258d0f64ee196 100644
--- a/base/common/src/com/netscape/cms/servlet/base/PortsServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/base/PortsServlet.java
@@ -42,7 +42,6 @@ public class PortsServlet extends CMSServlet {
      *
      */
     private static final long serialVersionUID = -3750153734073658934L;
-    private final static String INFO = "ports";
 
     public PortsServlet() {
     }
diff --git a/base/common/src/com/netscape/cms/servlet/cert/DisplayBySerial.java b/base/common/src/com/netscape/cms/servlet/cert/DisplayBySerial.java
index 1e1ee44f186dbfeccfbe1b927592b0fcf12dfb54..1b7524e198ddb91be6c3d0134c97e393fb0ec86a 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DisplayBySerial.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DisplayBySerial.java
@@ -81,7 +81,6 @@ public class DisplayBySerial extends CMSServlet {
      *
      */
     private static final long serialVersionUID = -4143700762995036597L;
-    private final static String INFO = "DisplayBySerial";
     private final static String TPL_FILE1 = "displayBySerial.template";
     private final static BigInteger MINUS_ONE = new BigInteger("-1");
 
diff --git a/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java b/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java
index af91b1cb3e2d2de4f9e1b533e134b7fe0a84d593..c3a268d148e50c2d728f5f92fd218a4476e7f84f 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java
@@ -61,7 +61,6 @@ public class DisplayCRL extends CMSServlet {
      *
      */
     private static final long serialVersionUID = 1152016798229054027L;
-    private final static String INFO = "DisplayCRL";
     private final static String TPL_FILE = "displayCRL.template";
     //private final static String E_TPL_FILE = "error.template";
     //private final static String OUT_ERROR = "errorDetails";
diff --git a/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java b/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java
index 8e5df2c14dce769bfa78e4f2d9c17f293c492b36..aac4315e720696ebddc5c886f7e863eb663a927f 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java
@@ -18,13 +18,13 @@
 package com.netscape.cms.servlet.cert;
 
 import java.io.IOException;
+import java.math.BigInteger;
 import java.security.cert.CertificateException;
 import java.security.cert.X509Certificate;
 import java.util.Date;
 import java.util.Enumeration;
 import java.util.Locale;
 import java.util.Vector;
-import java.math.BigInteger;
 
 import javax.servlet.ServletConfig;
 import javax.servlet.ServletException;
@@ -82,7 +82,6 @@ public class DoRevoke extends CMSServlet {
      *
      */
     private static final long serialVersionUID = 1693115906265904238L;
-    private final static String INFO = "DoRevoke";
     private final static String TPL_FILE = "revocationResult.template";
 
     private ICertificateRepository mCertDB = null;
diff --git a/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java b/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
index f16ce2526f44c91c198572e204c7e98014b815b0..35bdd5c8cddba895c11ce2449dae05fefbe719d2 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
@@ -19,11 +19,11 @@ package com.netscape.cms.servlet.cert;
 
 import java.io.IOException;
 import java.io.OutputStream;
+import java.math.BigInteger;
 import java.util.Date;
 import java.util.Enumeration;
 import java.util.Locale;
 import java.util.Vector;
-import java.math.BigInteger;
 
 import javax.servlet.ServletConfig;
 import javax.servlet.ServletException;
@@ -73,7 +73,6 @@ public class DoRevokeTPS extends CMSServlet {
      *
      */
     private static final long serialVersionUID = -2980600514636454836L;
-    private final static String INFO = "DoRevoke";
     private final static String TPL_FILE = "revocationResult.template";
 
     private ICertificateRepository mCertDB = null;
diff --git a/base/common/src/com/netscape/cms/servlet/cert/DoUnrevoke.java b/base/common/src/com/netscape/cms/servlet/cert/DoUnrevoke.java
index 6f1346c6881ee58655cece85bfe54d1f3ed7516c..5605acf6d7cdea26b7ea22fd7e9a8c94556f1129 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DoUnrevoke.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DoUnrevoke.java
@@ -67,11 +67,11 @@ public class DoUnrevoke extends CMSServlet {
      *
      */
     private static final long serialVersionUID = -7978703730006036625L;
-    private final static String INFO = "DoUnrevoke";
     private final static String TPL_FILE = "unrevocationResult.template";
-    private final static BigInteger MINUS_ONE = new BigInteger("-1");
 
-    private ICertificateRepository mCertDB = null;
+    @SuppressWarnings("unused")
+    private ICertificateRepository mCertDB;
+
     private String mFormPath = null;
     private IRequestQueue mQueue = null;
     private IPublisherProcessor mPublisherProcessor = null;
diff --git a/base/common/src/com/netscape/cms/servlet/cert/DoUnrevokeTPS.java b/base/common/src/com/netscape/cms/servlet/cert/DoUnrevokeTPS.java
index de5f075bafa139e110c96f16ec5ab632d005e8b1..7916887f8ebbb8c49a90598c4581c60e77532451 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DoUnrevokeTPS.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DoUnrevokeTPS.java
@@ -64,12 +64,10 @@ public class DoUnrevokeTPS extends CMSServlet {
      *
      */
     private static final long serialVersionUID = -6245049221697655642L;
-    private final static String INFO = "DoUnrevoke";
-    private final static String TPL_FILE = "unrevocationResult.template";
-    private final static BigInteger MINUS_ONE = new BigInteger("-1");
 
-    private ICertificateRepository mCertDB = null;
-    private String mFormPath = null;
+    @SuppressWarnings("unused")
+    private ICertificateRepository mCertDB;
+
     private IRequestQueue mQueue = null;
     private IPublisherProcessor mPublisherProcessor = null;
     private String errorString = "error=";
@@ -93,7 +91,6 @@ public class DoUnrevokeTPS extends CMSServlet {
      */
     public void init(ServletConfig sc) throws ServletException {
         super.init(sc);
-        mFormPath = "/" + mAuthority.getId() + "/" + TPL_FILE;
         if (mAuthority instanceof ICertificateAuthority) {
             mCertDB = ((ICertificateAuthority) mAuthority).getCertificateRepository();
         }
